%define anolis_release 1
Summary: GNOME Structured File library
Name: libgsf
Version: 1.14.53
Release: %{anolis_release}%{?dist}
License: LGPLv2
Source: https://download.gnome.org/sources/%{name}/1.14/%{name}-%{version}.tar.xz
URL: https://gitlab.gnome.org/GNOME/libgsf

BuildRequires: bzip2-devel
BuildRequires: chrpath
BuildRequires: gettext
BuildRequires: glib2-devel >= 1.3.10
BuildRequires: gobject-introspection-devel
BuildRequires: intltool
BuildRequires: libxml2-devel >= 2.4.16
BuildRequires: gdk-pixbuf2-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: make

Obsoletes: libgsf-gnome < 1.14.22
Obsoletes: libgsf-python < 1.14.26

%description
A library for reading and writing structured files (e.g. MS OLE and Zip)

%package devel
Summary: Support files necessary to compile applications with libgsf
Requires: libgsf = %{version}-%{release}, glib2-devel, libxml2-devel
Requires: pkgconfig
Obsoletes: libgsf-gnome-devel < 1.14.22

%description devel
Libraries, headers, and support files necessary to compile applications using 
libgsf.

%package doc
Summary: Documentation for libgsf
Requires: libgsf = %{version}-%{release}
%description doc
Documentation for libgsf.

%prep
%setup -q

%build
%configure --disable-gtk-doc --disable-static --enable-introspection=yes

%{make_build} V=1

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{make_install} DESTDIR=%{buildroot}

%find_lang %{name}

# Remove lib rpaths
chrpath --delete %{buildroot}%{_bindir}/gsf*

%generate_compatibility_deps

%files -f libgsf.lang
%doc AUTHORS COPYING README
%{_libdir}/libgsf-1.so.*
%{_libdir}/girepository-1.0/Gsf-1.typelib
%{_bindir}/gsf-office-thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1*
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{abidir}/gsf-office-thumbnailer*.list
%{abidir}/libgsf-1.dump

%files devel
%{_bindir}/gsf
%{_bindir}/gsf-vba-dump
%{_libdir}/libgsf-1.so
%{_libdir}/pkgconfig/libgsf-1.pc
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_datadir}/gir-1.0/Gsf-1.gir
%{_mandir}/man1/gsf.1*
%{_mandir}/man1/gsf-vba-dump.1*
%{abidir}/gsf*.list

%files doc
%doc %{_datadir}/gtk-doc/html/gsf

%changelog
* Wed Mar 19 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14.53-1
- Update to 1.14.53 from 1.14.50

* Fri Feb 24 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.14.50-1
- Update version to 1.14.50

* Fri Apr 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14.49-1
- Init from upstream version 1.14.49
